Attach reseller information to an order
Use this method to add reseller details to a partner order.
Request parameters
sessionID
Required (string)
Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.
refNo
Required (string)
The unique, system-generated identifier of a partner order.
resellerCode
Required (string)
Unique code identifying a specific reseller.
Request sample
<?php
require ('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner
$refNo = 'YOUR_ORDER_REFERENCE_NUMBER';
$resellerCode = 'NEW_RESELLER_CODE';
$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'setOrderReseller',
'params' => array($sessionID, $refNo, $resellerCode)
);
var_dump (callRPC((Object)$jsonRpcRequest,$host));Response parameters
result
Boolean
True or false
Errors
NOT_FOUND_PARTNER
No partner set before invoking the method.
EMPTY_ORDER_REFERENCE
Order reference not provided.
INVALID_PARTNER_RESELLER_CODE
Invalid partner reseller provided.
INVALID_SUBSCRIPTION_REFERENCE
No reseller defined for this order reference.
INVALID_PARTNER_RESELLER_CODE
No partner reseller found for the specified code.
Last updated
Was this helpful?